<app-navbar-top-menu [listMenu]="listMenu"></app-navbar-top-menu>
<form [formGroup]="form">
  <div class="card">
    <div class="card-header d-flex align-items-center justify-content-between">
      เพิ่มโครงการ
    </div>

    <div class="card-body row py-0 fs-7">
      <div class="row mt-3">
        <div class="col-md-3 col-xxl-3">
          <div class="col-auto">
            <label for="planCode" class="col-auto col-form-label"
              >รหัสแผน</label
            >
          </div>
          <div>
            <mat-form-field appearance="outline">
              <input
                matInput
                placeholder="รหัสแผน"
                formControlName="projectBudgetCode"
                id="planCode"
                readonly
              />
              <button
                (click)="selectProjectPlan()"
                [disabled]="isDimStatusCancelled"
                color="primary"
                mat-button
                mat-icon-button
                matSuffix
              >
                <mat-icon>filter_alt</mat-icon>
              </button>
            </mat-form-field>
          </div>
        </div>

        <div class="col-md-6 col-xxl-6">
          <div class="col-auto">
            <label class="col-auto col-form-label">ชื่อแผนงาน/โครงการ</label>
          </div>
          <div>
            <mat-form-field appearance="fill" readonly>
              <input
                matInput
                formControlName="projectBudgetName"
                placeholder="ชื่อแผนงาน/โครงการ"
                readonly
              />
            </mat-form-field>
          </div>
        </div>

        <div class="col-md-2 col-xxl-2">
          <div class="col-auto">
            <label class="col-auto col-form-label">งบประมาณ</label>
          </div>
          <div>
            <mat-form-field appearance="fill">
              <input
                matInput
                formControlName="projectBudgetAmt"
                type="text"
                appMatInputCommified
                class="right-align"
                placeholder="งบประมาณ"
                readonly
              />
            </mat-form-field>
          </div>
        </div>
        <div class="col-md-1 col-xxl-1">
          <div class="col-auto">
            <label class="col-auto col-form-label"></label>
          </div>
          <div style="padding: 35px 0px">บาท</div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-3 col-xxl-3">
          <div class="col-auto">
            <label class="col-auto col-form-label">รหัสโครงการ/งาน</label>
          </div>
          <div>
            <mat-form-field appearance="fill">
              <input matInput placeholder="" formControlName="projectCode" />
            </mat-form-field>
          </div>
        </div>

        <div class="col-md-6 col-xxl-6">
          <div class="col-auto">
            <label class="col-auto col-form-label"
              ><em class="text-danger">*</em>ชื่อโครงการ/งาน</label
            >
          </div>
          <div>
            <mat-form-field appearance="outline">
              <input
                matInput
                placeholder="ระบุชื่อโครงการ/งาน"
                formControlName="projectName"
              />
            </mat-form-field>
          </div>
        </div>

        <div class="col-md-3 col-xxl-3">
          <div class="col-auto">
            <label class="col-auto col-form-label">สถานะ</label>
          </div>
          <div>
            <mat-form-field appearance="fill">
              <input matInput placeholder="" formControlName="projectStatus" />
            </mat-form-field>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="card mt-3 fs-7">
    <div class="card-body row py-0">
      <div class="row mt-3">
        <div class="col-md-3 col-xxl-3">
          <div class="col-auto">
            <div class="row">
              <label class="col-auto col-form-label"
                >ประเภทการจัดซื้อจัดจ้าง</label
              >
              <div class="col-auto d-flex align-items-center">
                <mat-icon
                  matTooltipPosition="right"
                  matTooltipClass="custom-tooltip"
                  matTooltip="Commercial คือ การจัดหาพัสดุที่เกี่ยวกับการพาณิชย์โดยตรง ซึ่งสนับสนุนการดำเนินธุรกิจของธนาคารให้สามารถแข่งขันกับธนาคารพาณิชย์อื่นได้ โดยถือปฏิบัติตามระเบียบการจัดหาพัสดุและการบริหารพัสดุที่เกี่ยวกับการพาณิชย์โดยตรง &#13; Non-Commercial คือ การจัดหาพัสดุที่ไม่เกี่ยวกับการพาณิชย์โดยตรง ซึ่งถือปฏิบัติตามพ.ร.บ. การจัดซื้อจัดจ้างและการบริหารพัสดุภาครัฐ พ.ศ.2560 ระเบียบฯ กฎกระทรวง ประกาศ และหนังสือเวียนที่เกี่ยวข้อง"
                >
                  info</mat-icon
                >
              </div>
            </div>
          </div>

          <div>
            <mat-form-field appearance="outline">
              <input
                readonly
                matInput
                placeholder="ประเภทการจัดซื้อจัดจ้าง"
                formControlName="projectCategoryCode"
              />
              <button
                mat-button
                mat-icon-button
                matSuffix
                [disabled]="isDimStatusCancelled"
                (click)="selectProjectCategory()"
              >
                <mat-icon>arrow_drop_down</mat-icon>
              </button>
            </mat-form-field>
          </div>
        </div>

        <div class="col-md-3 col-xxl-3">
          <div class="col-auto">
            <div class="row">
              <label class="col-auto col-form-label">ประเภทโครงการ/งาน</label>
              <div class="col-auto d-flex align-items-center p-0">
                <mat-icon
                  matTooltipPosition="right"
                  matTooltipClass="custom-tooltip"
                  matTooltip="Project คือ การจัดหาพัสดุที่มีลักษณะเป็นโครงการ โดยมีการจัดหาพัสดุภายใต้โครงการนั้น ๆ มากกว่า 1 งาน ซึ่งมีวัตถุประสงค์เดียวกัน JOB คือ การจัดหาพัสดุที่มีลักษณะเป็นงาน ซึ่งประกอบด้วยการจัดหาพัสดุเพียงงานเดียว"
                >
                  info</mat-icon
                >
              </div>
            </div>
          </div>

          <div>
            <mat-form-field appearance="outline">
              <mat-select
                formControlName="projectTypeCode"
                placeholder="ประเภทโครงการ/งาน"
              >
                <mat-option
                  *ngFor="let item of projectTypeList"
                  [value]="item.code"
                >
                  {{ item.name }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <div class="col-md-3 col-xxl-3">
          <div class="col-auto">
            <label class="col-auto col-form-label">โครงการ (ERP PROJECT)</label>
          </div>
          <div>
            <mat-form-field appearance="outline">
              <input
                matInput
                formControlName="erpProjectDescr"
                placeholder="โครงการ (ERP PROJECT)"
                id="erpProject"
                readonly
              />
              <button
                (click)="selectErpProject()"
                [disabled]="isDimStatusCancelled"
                color="primary"
                mat-button
                mat-icon-button
                matSuffix
              >
                <mat-icon>filter_alt</mat-icon>
              </button>
            </mat-form-field>
          </div>
        </div>

        <div class="col-md-3 col-xxl-3">
          <div class="col-auto">
            <label class="col-auto col-form-label">ปี</label>
          </div>
          <div>
            <mat-form-field
              appearance="outline"
              floatLabel="always"
              appDateFormatYYYY
            >
              <input
                matInput
                [matDatepicker]="matPickerYYYY"
                id="year"
                formControlName="budgetYear"
                readonly
              />
              <mat-datepicker-toggle
                matSuffix
                [for]="matPickerYYYY"
              ></mat-datepicker-toggle>
              <mat-datepicker-toggle
                matSuffix
                (click)="clearDatepicker('budgetYear')"
              >
                <mat-icon matDatepickerToggleIcon>clear</mat-icon>
              </mat-datepicker-toggle>
              <mat-datepicker
                #matPickerYYYY
                startView="multi-year"
                (yearSelected)="chooseYearHandler($event, matPickerYYYY)"
                panelClass="example-month-picker"
              >
              </mat-datepicker>
            </mat-form-field>
          </div>
        </div>
      </div>
    </div>

    <div class="card-body row py-0">
      <div class="row">
        <div class="col-md-3 col-xxl-3">
          <div class="col-auto">
            <div class="row">
              <label class="col-auto col-form-label"
                ><em class="text-danger">*</em>วงเงินการจัดหาพัสดุ</label
              >
            </div>
          </div>

          <div>
            <mat-form-field appearance="outline">
              <input
                type="text"
                appMatInputCommified
                min="1"
                step="0.01"
                matInput
                placeholder="0.00"
                class="right-align"
                formControlName="projectBudgetAmt"
              />
            </mat-form-field>
          </div>
        </div>
        <div class="col-md-1 col-xxl-1">
          <div class="col-auto">
            <label class="col-auto col-form-label"></label>
          </div>
          <div style="padding: 35px 0px">บาท</div>
        </div>

        <div class="col-md-2 col-xxl-2 d-flex align-items-center">
          <div class="row mt-3">
            <div class="form-check">
              <input
                class="form-check-input"
                type="checkbox"
                id="gridCheck"
                formControlName="functionalCurrency"
                (change)="onClickCurrency($event.target)"
              />
              <label class="form-check-label" for="gridCheck">
                เป็นการจัดหาพัสดุตามสกุลเงินต่างประเทศ
              </label>
            </div>
          </div>
        </div>

        <div class="col-md-2 col-xxl-2">
          <div class="col-auto">
            <div class="row">
              <label class="col-auto col-form-label"
                ><em class="text-danger">*</em>สกุลเงิน</label
              >
            </div>
          </div>
          <div>
            <mat-form-field appearance="outline">
              <mat-select formControlName="currencyCode" placeholder="สกุลเงิน">
                <mat-option
                  *ngFor="let item of currenciesList"
                  [value]="item.code"
                >
                  {{ item.name }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <div class="col-md-2 col-xxl-2">
          <div class="col-auto">
            <div class="row">
              <label class="col-auto col-form-label">ณ วันที่</label>
            </div>
          </div>
          <div>
            <mat-form-field appearance="outline">
              <input
                matInput
                [matDatepicker]="picker"
                formControlName="exchangeDate"
                placeholder=""
              />
              <mat-datepicker-toggle
                matSuffix
                [for]="picker"
              ></mat-datepicker-toggle>
              <mat-datepicker-toggle
                matSuffix
                (click)="clearDatepicker('exchangeDate')"
              >
                <mat-icon matDatepickerToggleIcon>clear</mat-icon>
              </mat-datepicker-toggle>
              <mat-datepicker #picker startView="month"></mat-datepicker>
            </mat-form-field>
          </div>
        </div>

        <div class="col-md-2 col-xxl-2">
          <div class="col-auto">
            <div class="row">
              <label class="col-auto col-form-label"
                ><em class="text-danger">*</em>อัตราแลกเปลี่ยน</label
              >
            </div>
          </div>
          <div>
            <mat-form-field appearance="outline">
              <div class="col-md-10 col-xxl-10">
                <input
                  type="text"
                  appMatInputCommified
                  matInput
                  placeholder="0.00"
                  formControlName="exchangeRate"
                  class="right-align"
                />
              </div>
            </mat-form-field>
          </div>
        </div>
      </div>
    </div>

    <div class="card-body row py-0">
      <div class="row">
        <div class="col-md-6 col-xxl-6">
          <div class="col-auto">
            <div class="row">
              <label for="projectCharacterCode" class="col-auto col-form-label"
                >ลักษณะงาน</label
              >
              <div class="col-auto d-flex align-items-center">
                <mat-icon
                  matTooltipPosition="right"
                  matTooltipClass="custom-tooltip"
                  matTooltip="ระบุลักษณะวิธีการจัดหาพัสดุ"
                >
                  info</mat-icon
                >
              </div>
            </div>
          </div>
          <div>
            <mat-form-field appearance="outline">
              <mat-select
                formControlName="projectCharacterCode"
                placeholder=""
                (selectionChange)="selectProjectCharacter($event)"
                id="projectCharacterCode"
              >
                <mat-option
                  [value]="item.code"
                  *ngFor="let item of projectCharacterList"
                >
                  {{ item.name }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <div class="col-md-6 col-xxl-6">
          <div class="col-auto">
            <div class="row">
              <label class="col-auto col-form-label"
                >ประเภทลักษณะโครงการ/งาน</label
              >
              <div class="col-auto d-flex align-items-center">
                <mat-icon
                  matTooltipPosition="right"
                  matTooltipClass="custom-tooltip"
                  matTooltip="ระบุลักษณะของโครงการ/งาน ที่จะจัดหาพัสดุ"
                >
                  info</mat-icon
                >
              </div>
            </div>
          </div>
          <div>
            <mat-form-field appearance="outline">
              <mat-select
                formControlName="projectCharacterTypeCode"
                placeholder="กรุณาเลือกลักษณะงาน"
                [disabled]="projectCharacterTypeDisabled()"
              >
                <mat-option
                  [value]="item.code"
                  *ngFor="let item of projectCharacterTypeList"
                >
                  {{ item.name }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>
      </div>
    </div>

    <div class="card-body row py-0">
      <div class="row">
        <div class="col-md-6 col-xxl-6">
          <div class="col-auto">
            <div class="row">
              <label class="col-auto col-form-label">ประเภทการจัดหาพัสดุ</label>
              <div class="col-auto d-flex align-items-center">
                <mat-icon
                  matTooltipPosition="right"
                  matTooltipClass="custom-tooltip"
                  matTooltip="ระบุลักษณะของโครงการ/งาน ที่จะจัดหาพัสดุ"
                >
                  info</mat-icon
                >
              </div>
            </div>
          </div>
          <div>
            <mat-form-field appearance="outline">
              <mat-select formControlName="purchaseTypeCode" placeholder="">
                <mat-option
                  [value]="item.code"
                  *ngFor="let item of purchaseTypeList"
                >
                  {{ item.name }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <div class="col-md-6 col-xxl-6">
          <div class="col-auto">
            <div class="row">
              <label class="col-auto col-form-label">ประเภทสัญญา</label>
              <div class="col-auto d-flex align-items-center">
                <mat-icon
                  matTooltipPosition="right"
                  matTooltipClass="custom-tooltip"
                  matTooltip="ระบุประเภทของสัญญาว่า เป็นสัญญาต่อเนื่อง (Recurring)  หรือไม่เป็นสัญญาต่อเนื่อง (Non-Recurring)
                  “สัญญาต่อเนื่อง” หรือ “Recurring Contract” หมายความถึง สัญญาจ้างหรือสัญญาเช่าที่จำเป็นต้องดำเนินการต่อเนื่องทันทีภายหลังจากสัญญาเดิมสิ้นสุดลงกับผู้รับจ้างหรือผู้ให้เช่ารายเดิมหรือรายใหม่ แล้วแต่กรณีโดยไม่สามารถงดหรือเว้นระยะการจ้างหรือเช่าได้ซึ่งหากดำเนินการไม่ทันอาจก่อให้เกิดความเสียหาย ส่งผลกระทบต่อการดำเนินธุรกิจและการให้บริการของธนาคาร"
                >
                  info</mat-icon
                >
              </div>
            </div>
          </div>
          <div>
            <mat-form-field appearance="outline">
              <mat-select formControlName="agreementTypeCode" placeholder="">
                <mat-option
                  *ngFor="let item of agreementTypeList"
                  [value]="item.code"
                >
                  {{ item.name }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>
      </div>
    </div>

    <div class="card-body row py-0">
      <div class="row">
        <div class="col-md-6 col-xxl-6">
          <div class="col-auto">
            <div class="row">
              <label class="col-auto col-form-label">วิธีการจัดหาพัสดุ</label>
              <div class="col-auto d-flex align-items-center">
                <mat-icon
                  matTooltipPosition="right"
                  matTooltipClass="custom-tooltip"
                  matTooltip="กรณีเป็นการจัดหาพัสดุที่เกี่ยวกับการพาณิชย์โดยตรง (Commercial)
                  1. ค่าใช้จ่ายในการบริหารงาน คือ การจัดหาพัสดุซึ่งอยู่ในรายการที่กำหนดในหนังสือเวียน และมีวงเงินการจัดหาพัสดุไม่เกิน 10,000 บาท
                  2. กรณีฉุกเฉิน คือ การจัดหาพัสดุซึ่งเป็นกรณีทีเกิดขึ้นอย่างปัจจุบันทันด่วน ต้องดำเนินการแก้ไขในทันที หรือทำให้ธนาคารตกอยู่ในภาวะคับขันซึ่งอาจเป็นภัยต่อความมั่นคงและความปลอดภัยของธนาคาร ไม่สามารถปฏิบัติตามระเบียบได้ทัน
                  3. วิธีตกลงราคา คือ การจัดหาพัสดุโดยการเจรจากับผู้ประกอบการโดยตรง ซึ่งดำเนินการได้เฉพาะกรณีหนึ่งกรณีใดตามที่ระเบียบกำหนด
                  4. วิธีพิเศษ คือ การเชิญชวนผู้ประกอบการที่มีคุณสมบัติตรงตามเงื่อนไขของธนาคารรายใดรายหนึ่งให้เข้ายื่นเสนอ
                  ราคา หรือเจรจาต่อรองราคา สำหรับการจัดหาพัสดุครั้งหนึ่งที่มีวงเงินการจัดหาพัสดุเกินกว่า 500,000 บาท
                  5. วิธีคัดสรร คือ การเชิญชวนผู้ประกอบการที่มีคุณสมบัติตรงตามเงื่อนไขของธนาคารไม่น้อยกว่า 2 รายให้เข้ายื่น
                  เสนอราคา สำหรับการจัดหาพัสดุครั้งหนึ่งที่มีวงเงินการจัดหาพัสดุเกินกว่า 500,000 บาท
                  6. วิธีประกวดราคา คือ การเชิญชวนผู้ประกอบการทั่วไปที่มีคุณสมบัติตรงตามเงื่อนไขของธนาคารให้เข้ายื่นเสนอราคา สำหรับการจัดหาพสัดุครั้งหนึ่งที่มีวงเงินการจัดหาพัสดุเกินกว่า 2,000,000 บาท
                กรณีเป็นการจัดหาพัสดุที่ไม่เกี่ยวกับการพาณิชย์โดยตรง (Non-Commercial)
                  1. ค่าใช้จ่ายในการบริหารงาน คือ การจัดหาพัสดุซึ่งอยู่ในรายการที่กำหนดในหนังสือเวียน และมีวงเงินการจัดหาพัสดุไม่เกิน 10,000 บาท
                  2. กรณีเร่งด่วน คือ การจัดหาพัสดุกรณีที่มีความจําเป็นเร่งด่วนที่เกิดขึ้นโดยไม่ได้คาดหมายไว้ก่อนและไม่อาจดําเนินการตามปกติได้ทัน
                  3. วิธีสอบราคา คือ การซื้อหรือจ้างครั้งหนึ่ง ซึ่งมีวงเงินเกิน 500,000 บาท แต่ไม่เกิน 5,000,000 บาท ให้กระทําได้ในกรณีที่หน่วยงานของรัฐนั้นตั้งอยู่ในพื้นที่ที่มีข้อจํากัดในการใช้สัญญาณอินเตอร์เน็ต ทําให้ไม่สามารถดําเนินการผ่านระบบตลาดอิเล็กทรอนิกส์หรือระบบ
                  ประกวดราคาอิเล็กทรอนิกส์ได้
                  4. วิธีตลาดอิเล็กทรอนิกส์ (e-market) คือ การซื้อหรือจ้างที่มีรายละเอียดคุณลักษณะเฉพาะของพัสดุที่ไม่ซับซ้อนหรือเป็นสินค้าหรืองานบริการที่มีมาตรฐาน และได้กําหนดไว้ในระบบข้อมูลสินค้า (e - catalog) โดยให้ดําเนินการในระบบตลาดอิเล็กทรอนิกส์ (Electronic Market : e - market)
                  5. วิธีประกวดราคาอิเล็กทรอนิกส์ (e-bidding) คือ การซื้อหรือจ้างครั้งหนึ่ง ซึ่งมีวงเงินเกิน 500,000 บาท และเป็นสินค้าหรืองานบริการที่ไม่ได้กําหนดรายละเอียดคุณลักษณะเฉพาะของพัสดุไว้ในระบบข้อมูลสินค้า (e - catalog) โดยให้ดําเนินการในระบบประกวดราคาอิเล็กทรอนิกส์ (Electronic Bidding : e - bidding)
                  6. วิธีคัดเลือก คือ การที่หน่วยงานของรัฐเชิญชวนเฉพาะผู้ประกอบการที่มีคุณสมบัติตรงตามเงื่อนไขที่หน่วยงานของรัฐกําหนด ซึ่งต้องไม่น้อยกว่า 3 รายให้เข้ายื่นข้อเสนอ เว้นแต่ในงานนั้นมีผู้ประกอบการที่มีคุณสมบัติตรงตามที่กําหนดน้อยกว่า 3 ราย
                  7. วิธีเฉพาะเจาะจง คือ การที่หน่วยงานของรัฐเชิญชวนผู้ประกอบการที่มีคุณสมบัติตรงตามเงื่อนไขที่หน่วยงานของรัฐกําหนดรายใดรายหนึ่งให้เข้ายื่นข้อเสนอ หรือให้เข้ามาเจรจาต่อรองราคารวมทั้งการจัดซื้อจัดจ้างพัสดุกับผู้ประกอบการโดยตรงในวงเงินเล็กน้อยตามที่กําหนดในกฎกระทรวงที่ออกตามความในมาตรา 96 วรรค 2"
                >
                  info</mat-icon
                >
              </div>
            </div>
          </div>
          <div>
            <mat-form-field appearance="outline">
              <mat-select
                formControlName="projectMethodCode"
                placeholder="กรุณาเลือกประเภทการจัดซื้อจัดจ้าง"
                [disabled]="projectMethodDisabled()"
                (selectionChange)="selectProjectMethodCondtion($event)"
              >
                <mat-option
                  [value]="item.code"
                  *ngFor="let item of projectMethodList"
                >
                  {{ item.name }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <div class="col-md-6 col-xxl-6">
          <div class="col-auto">
            <div class="row">
              <label class="col-auto col-form-label"
                >เงื่อนไขการจัดหาพัสดุ</label
              >
              <div class="col-auto d-flex align-items-center">
                <mat-icon
                  matTooltipPosition="right"
                  matTooltipClass="custom-tooltip"
                  matTooltip="ระบุเงื่อนไขการจัดหาพัสดุ"
                >
                  info</mat-icon
                >
              </div>
            </div>
          </div>
          <div>
            <mat-form-field appearance="outline">
              <mat-select
                formControlName="conditionCode"
                placeholder="เลือกเงื่อนไขการจัดหาพัสดุ"
                [disabled]="this.dimMethodCondition"
              >
                <mat-option
                  [value]="item.code"
                  *ngFor="let item of projectMethodConditionList"
                >
                  {{ item.name }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>
      </div>
    </div>

    <div class="card-body row py-0">
      <div class="row">
        <div class="col-md-6 col-xxl-6">
          <div class="col-auto">
            <div class="row">
              <label class="col-auto col-form-label"
                >เป็นพัสดุที่ต้องจัดหาพัสดุในระบบ Procure To Pay</label
              >
              <div class="col-auto d-flex align-items-center">
                <mat-icon
                  matTooltipPosition="right"
                  matTooltipClass="custom-tooltip"
                  matTooltip="ระบุว่าการจัดหาพัสดุดังกล่าวเป็นพัสดุรายการเดียวกับหน่วยงานจัดหาพัสดุกลางได้ดำเนินการจัดหาพัสดุไว้ในระบบ Procure to Pay หรือไม่"
                >
                  info</mat-icon
                >
              </div>
            </div>
          </div>
          <div>
            <mat-form-field appearance="outline">
              <mat-select formControlName="procureToPay" placeholder="">
                <mat-option *ngFor="let item of isProcure" [value]="item.code">
                  {{ item.name }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>
        <div class="col-md-6 col-xxl-6">
          <div class="col-auto">
            <div class="row">
              <label class="col-auto col-form-label">ชื่อหน่วยงาน</label>
            </div>
          </div>
          <div>
            <mat-form-field appearance="outline">
              <input
                matInput
                formControlName="costCenterName"
                placeholder="ชื่อหน่วยงาน"
                id="costCenter"
                readonly
              />
              <button
                (click)="onFindCurrentByCostCenter()"
                color="primary"
                mat-button
                mat-icon-button
                matSuffix
              >
                <mat-icon>filter_alt</mat-icon>
              </button>
            </mat-form-field>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="row mt-3 d-flex align-items-center justify-content-end">
    <div class="col-auto button-row">
      <button
        class="fs-7"
        mat-raised-button
        color="primary"
        [disabled]="!bntAssignCtrl"
        (click)="manageOperator()"
      >
        กำหนดผู้ดำเนินการ
      </button>

      <button
        class="fs-7"
        mat-raised-button
        *ngIf="!this.switchFreeze"
        color="primary"
        (click)="onFreeze(false)"
      >
        Unfreeze
      </button>
      <button
        class="fs-7"
        mat-raised-button
        *ngIf="this.switchFreeze"
        [disabled]="!this.btnFreezeCtrl"
        color="primary"
        (click)="onFreeze(true)"
      >
        Freeze
      </button>

      <button
        class="fs-7"
        mat-raised-button
        color="primary"
        [disabled]="!btnSaveCtrl"
        (click)="saveAndUpdate()"
      >
        <span
          *ngIf="btnSaveLoading"
          class="spinner-border spinner-border-sm mr-1"
        ></span>
        บันทึก
      </button>
      <button
        class="fs-7"
        mat-raised-button
        color="basic"
        [disabled]="isDimStatusCancelled"
        (click)="onCancel()"
      >
        ยกเลิก
      </button>
      <button class="fs-7" mat-stroked-button color="basic" (click)="onBack()">
        ย้อนกลับ
      </button>
    </div>
  </div>
</form>
<app-loader></app-loader>
